package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 在制品查询报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class WIPInquiryReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    @JsonProperty("PRODUCT_LINE_CODE")
    private String PRODUCT_LINE_CODE;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * SAP订单编号
     */
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private String ORDER_CODE;




    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    @JsonProperty("MATERIAL_NAME")
    private String MATERIAL_NAME;

    /**
     * 产品编码
     */
    @Excel(name = "产品编码")
    @JsonProperty("PRODUCT_CODE")
    private String PRODUCT_CODE;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    @JsonProperty("PRODUCT_NAME")
    private String PRODUCT_NAME;

    /**
     * 订单数量
     */
    @Excel(name = "订单数量")
    @JsonProperty("ORDER_AMOUNT")
    private Long ORDER_AMOUNT;

    /**
     * 完成数量
     */
    @Excel(name = "完成数量")
    @JsonProperty("COMPLETE_AMOUNT")
    private Long COMPLETE_AMOUNT;

    /**
     * 在制数量
     */
    @Excel(name = "在制数量")
    @JsonProperty("COMP_AMOUNT")
    private Long COMP_AMOUNT;

    public Long getORDER_AMOUNT() {
        return ORDER_AMOUNT;
    }

    public void setORDER_AMOUNT(Long ORDER_AMOUNT) {
        this.ORDER_AMOUNT = ORDER_AMOUNT;
    }

    public Long getCOMPLETE_AMOUNT() {
        return COMPLETE_AMOUNT;
    }

    public void setCOMPLETE_AMOUNT(Long COMPLETE_AMOUNT) {
        this.COMPLETE_AMOUNT = COMPLETE_AMOUNT;
    }

    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(String ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_NAME() {
        return MATERIAL_NAME;
    }

    public void setMATERIAL_NAME(String MATERIAL_NAME) {
        this.MATERIAL_NAME = MATERIAL_NAME;
    }

    public String getPRODUCT_CODE() {
        return PRODUCT_CODE;
    }

    public void setPRODUCT_CODE(String PRODUCT_CODE) {
        this.PRODUCT_CODE = PRODUCT_CODE;
    }

    public String getPRODUCT_NAME() {
        return PRODUCT_NAME;
    }

    public void setPRODUCT_NAME(String PRODUCT_NAME) {
        this.PRODUCT_NAME = PRODUCT_NAME;
    }

    public Long getCOMP_AMOUNT() {
        return COMP_AMOUNT;
    }

    public void setCOMP_AMOUNT(Long COMP_AMOUNT) {
        this.COMP_AMOUNT = COMP_AMOUNT;
    }

    @Override
    public String toString() {
        return "ProductionExecutionReport{" +
                "PRODUCT_LINE_CODE='" + PRODUCT_LINE_CODE + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", ORDER_CODE='" + ORDER_CODE + '\'' +
                ", MATERIAL_CODE='" + MATERIAL_CODE + '\'' +
                ", MATERIAL_NAME='" + MATERIAL_NAME + '\'' +
                ", PRODUCT_CODE='" + PRODUCT_CODE + '\'' +
                ", PRODUCT_NAME='" + PRODUCT_NAME + '\'' +
                ", COMP_AMOUNT=" + COMP_AMOUNT +
                '}';
    }
}
